Debian Bug report logs - #579266
sqlite3: Please enable unlock notify API

version graph

Package: src:sqlite3; Maintainer for src:sqlite3 is Laszlo Boszormenyi (GCS) <gcs@debian.org>;

Reported by: Julien BLACHE <jblache@debian.org>

Date: Mon, 26 Apr 2010 16:12:02 UTC

Severity: wishlist

Tags: patch

Found in version sqlite3/3.6.23.1-1

Fixed in version sqlite3/3.6.23.1-2

Done: Laszlo Boszormenyi (GCS) <gcs@debian.hu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
Bug#579266; Package src:sqlite3. (Mon, 26 Apr 2010 16:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
New Bug report received and forwarded. Copy sent to Laszlo Boszormenyi (GCS) <gcs@debian.hu>. (Mon, 26 Apr 2010 16:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sqlite3: Please enable unlock notify API
Date: Mon, 26 Apr 2010 18:09:50 +0200
[Message part 1 (text/plain, inline)]
Source: sqlite3
Version: 3.6.23.1-1
Severity: wishlist
Tags: patch

Hi,

SQLite3 has a specific API that can be used in multithreaded programs to wait
for the DB to become available after an operation failed with SQLITE_LOCKED.

It's called the unlock notify API, and is currently disabled in the Debian
builds of sqlite3.

This API is a must-have for multithreaded programs where each thread uses its
own connection to the DB, otherwise they'll keep stepping on each other's toes
with queries "randomly" failing. The unlock notify API is the only way to
properly wait & retry the queries failing with SQLITE_LOCKED.

Enabling this API is a simple matter of defining SQLITE_ENABLE_UNLOCK_NOTIFY
when building the package. It doesn't change the exported ABI, but adds a new
exported function (sqlite3_unlock_notify) so you'll need to bump the version
in the shlibs file or take care of adding the symbol with the proper version
to the symbols file if you use that.

Patch for debian/rules attached, please apply!

Thanks,

JB.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32.2 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages sqlite3 depends on:
ii  libc6                         2.10.2-7   Embedded GNU C Library: Shared lib
ii  libreadline6                  6.1-2      GNU readline and history libraries
ii  libsqlite3-0                  3.6.23.1-1 SQLite 3 shared library

sqlite3 recommends no packages.

Versions of packages sqlite3 suggests:
pn  sqlite3-doc                   <none>     (no description available)

-- no debconf information
[unlock_notify.patch (text/plain, attachment)]

Reply sent to Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
You have taken responsibility. (Wed, 05 May 2010 22:39:06 GMT) Full text and rfc822 format available.

Notification sent to Julien BLACHE <jblache@debian.org>:
Bug acknowledged by developer. (Wed, 05 May 2010 22:39:06 GMT) Full text and rfc822 format available.

Message #10 received at 579266-close@bugs.debian.org (full text, mbox):

From: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
To: 579266-close@bugs.debian.org
Subject: Bug#579266: fixed in sqlite3 3.6.23.1-2
Date: Wed, 05 May 2010 22:36:01 +0000
Source: sqlite3
Source-Version: 3.6.23.1-2

We believe that the bug you reported is fixed in the latest version of
sqlite3, which is due to be installed in the Debian FTP archive:

lemon_3.6.23.1-2_amd64.deb
  to main/s/sqlite3/lemon_3.6.23.1-2_amd64.deb
libsqlite3-0-dbg_3.6.23.1-2_amd64.deb
  to main/s/sqlite3/libsqlite3-0-dbg_3.6.23.1-2_amd64.deb
libsqlite3-0_3.6.23.1-2_amd64.deb
  to main/s/sqlite3/libsqlite3-0_3.6.23.1-2_amd64.deb
libsqlite3-dev_3.6.23.1-2_amd64.deb
  to main/s/sqlite3/libsqlite3-dev_3.6.23.1-2_amd64.deb
libsqlite3-tcl_3.6.23.1-2_amd64.deb
  to main/s/sqlite3/libsqlite3-tcl_3.6.23.1-2_amd64.deb
sqlite3-doc_3.6.23.1-2_all.deb
  to main/s/sqlite3/sqlite3-doc_3.6.23.1-2_all.deb
sqlite3_3.6.23.1-2.debian.tar.gz
  to main/s/sqlite3/sqlite3_3.6.23.1-2.debian.tar.gz
sqlite3_3.6.23.1-2.dsc
  to main/s/sqlite3/sqlite3_3.6.23.1-2.dsc
sqlite3_3.6.23.1-2_amd64.deb
  to main/s/sqlite3/sqlite3_3.6.23.1-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 579266@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Laszlo Boszormenyi (GCS) <gcs@debian.hu> (supplier of updated sqlite3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 05 May 2010 18:58:47 +0000
Source: sqlite3
Binary: lemon sqlite3 sqlite3-doc libsqlite3-0-dbg libsqlite3-0 libsqlite3-dev libsqlite3-tcl
Architecture: source all amd64
Version: 3.6.23.1-2
Distribution: unstable
Urgency: low
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Changed-By: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Description: 
 lemon      - The Lemon Parser Generator
 libsqlite3-0 - SQLite 3 shared library
 libsqlite3-0-dbg - SQLite 3 debugging symbols
 libsqlite3-dev - SQLite 3 development files
 libsqlite3-tcl - SQLite 3 Tcl bindings
 sqlite3    - A command line interface for SQLite 3
 sqlite3-doc - SQLite 3 documentation
Closes: 575276 579266
Changes: 
 sqlite3 (3.6.23.1-2) unstable; urgency=low
 .
   * Enable unlock notify API (closes: #579266).
   * Backport fix of 'INSERT INTO tbl DEFAULT VALUES' (closes: #575276).
Checksums-Sha1: 
 20afa31776796597133b9decfe60f16e3c1b34da 1515 sqlite3_3.6.23.1-2.dsc
 ae9b84f8643f74c61fca909885e026322bae3e28 11796 sqlite3_3.6.23.1-2.debian.tar.gz
 2bb93273170169015792e9d5328feb3db6fb3260 2158882 sqlite3-doc_3.6.23.1-2_all.deb
 44b39bdb16cd09aa03df4262990f0fe701cfe7c1 115930 lemon_3.6.23.1-2_amd64.deb
 7f69a2d1b92fcf0e5bed635efe75737865cda0a9 96070 sqlite3_3.6.23.1-2_amd64.deb
 fef2165a96997d53c86e595ac113ea491a08b039 378942 libsqlite3-0_3.6.23.1-2_amd64.deb
 4c1e2c8f7d8cbb8a77b79708f4f03c45cbb25693 648848 libsqlite3-0-dbg_3.6.23.1-2_amd64.deb
 f88d8b0f0dc5339d3a26800b845689e1fd1e0e17 473296 libsqlite3-dev_3.6.23.1-2_amd64.deb
 38e89407bbd8e7551c68115759ee226cb4d5e19f 92486 libsqlite3-tcl_3.6.23.1-2_amd64.deb
Checksums-Sha256: 
 2e6c1b24d70419a87f47ffa297846d640389b93d51ac8568a9ae7e1298136cd6 1515 sqlite3_3.6.23.1-2.dsc
 d7fe60b4572d58a041b551b4663ddcb68d1b8bb86cd63913cb091a48ee365753 11796 sqlite3_3.6.23.1-2.debian.tar.gz
 fd952ab75bbb1d02d1c5ff57ad81469ea45878a105398197ca84550623e2cac0 2158882 sqlite3-doc_3.6.23.1-2_all.deb
 50639d1da6f2dd301c1d2a41a039807058e39b21c8a4c825bea280d75a6e52eb 115930 lemon_3.6.23.1-2_amd64.deb
 b0df9b624e44d2f852489db10db1b70834af2198b2aca72ce4f7e0e25bff1a03 96070 sqlite3_3.6.23.1-2_amd64.deb
 68dae8b9d1d751888c22ea646cd40bd6bae615b4a93343cd8a197fba857c9359 378942 libsqlite3-0_3.6.23.1-2_amd64.deb
 2a29bb503f41c41c78c0a291b3c290b3f70fed4c8ce1477d7679b118b6c5f50e 648848 libsqlite3-0-dbg_3.6.23.1-2_amd64.deb
 98c95b69a701e3054ee50c2e22ef1544bc4ceb467798c5990f538d8628c2d1fc 473296 libsqlite3-dev_3.6.23.1-2_amd64.deb
 eea9ccc992478703bdab433c0f3b9c4c5d065d069449eeae19a77c84a0d4622e 92486 libsqlite3-tcl_3.6.23.1-2_amd64.deb
Files: 
 65c5d783ef7fddee9377f881760304f9 1515 devel optional sqlite3_3.6.23.1-2.dsc
 6816f5cce85de616fef157c0aac59015 11796 devel optional sqlite3_3.6.23.1-2.debian.tar.gz
 df8432f02523bf9c4075fe78dc9701f1 2158882 doc optional sqlite3-doc_3.6.23.1-2_all.deb
 041dc3511f66fc3a06805be6bf975c22 115930 devel optional lemon_3.6.23.1-2_amd64.deb
 db577c0295cd25d8359a0205b41adee5 96070 database optional sqlite3_3.6.23.1-2_amd64.deb
 f1ca1de4973c2e9a0d47f3931a666b12 378942 libs standard libsqlite3-0_3.6.23.1-2_amd64.deb
 5553947f6338eb3ee03796b07fc9b5e1 648848 debug extra libsqlite3-0-dbg_3.6.23.1-2_amd64.deb
 19525d9af29b13d8ea7e1e3c0abb6890 473296 libdevel optional libsqlite3-dev_3.6.23.1-2_amd64.deb
 3a73e0fcf7602f4541b87727800be2ae 92486 interpreters optional libsqlite3-tcl_3.6.23.1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvh65gACgkQMDatjqUaT92AagCdHIvLJXWyIIf7Vw7vgVVcF3cL
7K4AoJ6CGkUcfzubpL8k+Hmn0iNWn1UA
=rhPW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 08 Jul 2010 07:34:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:03:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.